org.apache.fop.render.pdf

## Enum PDFEncryptionOption

- java.lang.Object
- - java.lang.Enum<PDFEncryptionOption>
  - - org.apache.fop.render.pdf.PDFEncryptionOption

All Implemented Interfaces:
  Serializable, Comparable<PDFEncryptionOption>, RendererConfigOption

    public enum PDFEncryptionOption
    extends Enum<PDFEncryptionOption>
    implements RendererConfigOption

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ENCRYPT_METADATA` PDF encryption parameter: encrypts Metadata, datatype: Boolean or "true"/"false", default: true
`ENCRYPTION_LENGTH` PDF encryption length parameter: must be a multiple of 8 between 40 and 128, datatype: int, default: 128
`NO_ACCESSCONTENT` PDF encryption parameter: Forbids extracting text and graphics, datatype: Boolean or "true"/"false", default: false
`NO_ANNOTATIONS` PDF encryption parameter: Forbids annotations, datatype: Boolean or "true"/"false", default: false
`NO_ASSEMBLEDOC` PDF encryption parameter: Forbids assembling document, datatype: Boolean or "true"/"false", default: false
`NO_COPY_CONTENT` PDF encryption parameter: Forbids copying content, datatype: Boolean or "true"/"false", default: false
`NO_EDIT_CONTENT` PDF encryption parameter: Forbids editing content, datatype: Boolean or "true"/"false", default: false
`NO_FILLINFORMS` PDF encryption parameter: Forbids filling in existing interactive forms, datatype: Boolean or "true"/"false", default: false
`NO_PRINT` PDF encryption parameter: Forbids printing, datatype: Boolean or "true"/"false", default: false
`NO_PRINTHQ` PDF encryption parameter: Forbids printing to high quality, datatype: Boolean or "true"/"false", default: false
`OWNER_PASSWORD` PDF encryption parameter: owner password, datatype: String, default: ""
`USER_PASSWORD` PDF encryption parameter: user password, datatype: String, default: ""

### Field Summary

Fields
`static String` `ENCRYPTION_PARAMS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `getDefaultValue()`
`String` `getName()` The name of the option.
`static PDFEncryptionOption` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDFEncryptionOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ENCRYPTION_LENGTH

    public static final PDFEncryptionOption ENCRYPTION_LENGTH

PDF encryption length parameter: must be a multiple of 8 between 40 and 128, datatype: int, default: 128

#### NO_PRINTHQ

    public static final PDFEncryptionOption NO_PRINTHQ

PDF encryption parameter: Forbids printing to high quality, datatype: Boolean or "true"/"false", default: false

#### NO_ASSEMBLEDOC

    public static final PDFEncryptionOption NO_ASSEMBLEDOC

PDF encryption parameter: Forbids assembling document, datatype: Boolean or "true"/"false", default: false

#### NO_ACCESSCONTENT

    public static final PDFEncryptionOption NO_ACCESSCONTENT

PDF encryption parameter: Forbids extracting text and graphics, datatype: Boolean or "true"/"false", default: false

#### NO_FILLINFORMS

    public static final PDFEncryptionOption NO_FILLINFORMS

PDF encryption parameter: Forbids filling in existing interactive forms, datatype: Boolean or "true"/"false", default: false

#### NO_ANNOTATIONS

    public static final PDFEncryptionOption NO_ANNOTATIONS

PDF encryption parameter: Forbids annotations, datatype: Boolean or "true"/"false", default: false

#### NO_PRINT

    public static final PDFEncryptionOption NO_PRINT

PDF encryption parameter: Forbids printing, datatype: Boolean or "true"/"false", default: false

#### NO_COPY_CONTENT

    public static final PDFEncryptionOption NO_COPY_CONTENT

PDF encryption parameter: Forbids copying content, datatype: Boolean or "true"/"false", default: false

#### NO_EDIT_CONTENT

    public static final PDFEncryptionOption NO_EDIT_CONTENT

PDF encryption parameter: Forbids editing content, datatype: Boolean or "true"/"false", default: false

#### USER_PASSWORD

    public static final PDFEncryptionOption USER_PASSWORD

PDF encryption parameter: user password, datatype: String, default: ""

#### OWNER_PASSWORD

    public static final PDFEncryptionOption OWNER_PASSWORD

PDF encryption parameter: owner password, datatype: String, default: ""

#### ENCRYPT_METADATA

    public static final PDFEncryptionOption ENCRYPT_METADATA

PDF encryption parameter: encrypts Metadata, datatype: Boolean or "true"/"false", default: true

### Field Detail

#### ENCRYPTION_PARAMS

    public static final String ENCRYPTION_PARAMS

See Also:
  Constant Field Values

### Method Detail

#### values

    public static PDFEncryptionOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDFEncryptionOption c : PDFEncryptionOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDFEncryptionOption valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

Description copied from interface: `RendererConfigOption`
The name of the option.

Specified by:
  `getName` in interface `RendererConfigOption`

#### getDefaultValue

    public Object getDefaultValue()

Specified by:
  `getDefaultValue` in interface `RendererConfigOption`